%define name gnomeicu
%define version 0.92
%define prefix %{_prefix}

Name: %{name}
Version: %{version}
Release: 2mdk
Copyright: GPL
Summary: Gnome ICQ communications program 
Summary(fr): Programme pour la communication ICQ
Group: Networking/ICQ
Source: ftp://gnomeicu.gdev.net/pub/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}.xpm.bz2
Source2: %{name}-32.xpm.bz2
Source3: %{name}
URL: http://gnomeicu.gdev.net/	
Icon: gnomeicu-logo.xpm
Requires: gtk+ >= 1.2.0 gnome-libs >= 1.0.53 ORBit >= 0.5.0
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
GnomeICU is a clone of Mirabilis' popular ICQ written with GTK. The original
source was taken from Matt Smith's mICQ. This is ment as a replacement for the
JavaICQ, which is slow and buggy.

%description -l fr
gnomeICU est un programme de communication par Internet qui utilise le
protocole ICQ de Mirabilis.

%prep
%setup -q

%ifarch mandrake
  ARCH_FLAGS="--host=alpha-mandrake-linux --without-xss"
%endif
  
%build
if [ -x configure ]; then
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--sysconfdir=/etc --datadir=/usr/share
else
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=/usr \
	--sysconfdir=/etc --datadir=/usr/share
fi

make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/etc

make prefix=$RPM_BUILD_ROOT/usr/ sysconfdir=$RPM_BUILD_ROOT/etc \
	datadir=$RPM_BUILD_ROOT/usr/share install-strip

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Internet/
cp $RPM_BUILD_ROOT%{prefix}/share/applets/Network/GnomeICU.desktop \
    $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Internet/

# menu
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
install -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README TODO
/usr/bin/gnomeicu
/etc/CORBA/servers/*
/etc/sound/events/*
/usr/share/applets/Network/*.desktop
/usr/share/pixmaps/*
/usr/share/gnome/help/*
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/sounds/*
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm
/usr/lib/menu/%{name}

%changelog
* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-2mdk
- added menu entry

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.92-1mdk
- release from helix 
- SMP build/check
- Alpha Support.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.90b-2mdk
- fix group

* Thu Jan 27 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90b

* Wed Jan 12 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90

* Mon Dec 20 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.68
- Added INSTALL

* Fri Nov 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.67

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.66
- make the %files section mroe generic
- added translations
- added help file

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redo some specfile
- Update to 0.65 
- Update Source URL

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant again.

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
